Page MenuHomePhabricator

Apply to GSoC 2015 and FOSS OPW round 10
Closed, ResolvedPublic

Description

The Wikimedia Foundation has been accepted in Google-Summer-of-Code (2015) and Outreachy-Round-10. Now the work continues in T91374: Select participants for GSoC 2015 and Outreachy round 10.

Related Objects

Event Timeline

Qgil created this task.Oct 26 2014, 5:37 PM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Mvolz added a subscriber: Mvolz.Oct 26 2014, 9:03 PM
Qgil added a subscriber: Himeshi.Oct 28 2014, 7:58 AM
Sumit added a subscriber: Sumit.Jan 14 2015, 6:57 PM
droid added a subscriber: droid.Jan 22 2015, 2:25 PM
Qgil claimed this task.Feb 2 2015, 7:02 AM
jayvdb added a subscriber: jayvdb.Feb 5 2015, 7:35 PM
Qgil added a comment.Feb 9 2015, 7:26 PM

Google writes:

We're pleased to announce that applications for mentoring organizations for Google Summer of Code 2015 are now being accepted. If you'd like to apply to be a mentoring organization you can do so now via Melange. If you have questions about how to use Melange, please see our User's Guide. Please note that the application process remains the same as last year: to apply you must create your individual profile and then an organization profile before submitting your application.
Please note that the application period closes on 20 February at 19:00 UTC. We will not accept any late applications for any reason.

Qgil raised the priority of this task from Low to Normal.Feb 9 2015, 7:26 PM
Qgil added a comment.Feb 9 2015, 10:36 PM

Outreachy writes:

We would like to promote the initial list of participating organizations on February 17, so please try to update your landing page and let us know by then if you will participate. We'll continue adding organizations through March 3 to allow more organizations to secure the funding and set up their landing pages.
The updated resources are:

Petrb added a subscriber: Petrb.Feb 10 2015, 1:36 PM
Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 10 2015, 5:06 PM
Qgil added a comment.Feb 11 2015, 1:46 PM

I have added this comment to the 51 tasks that are currently associated with #Possible-Tech-Projects:

Wikimedia will apply to Google Summer of Code and Outreachy on Tuesday, February 17. If you want this task to become a featured project idea, please follow these instructions.

Qgil raised the priority of this task from Normal to High.Feb 12 2015, 1:29 PM
AYUSH added a subscriber: AYUSH.Feb 14 2015, 9:18 AM
Sitic added a subscriber: Sitic.Feb 16 2015, 5:37 AM
Qgil added a comment.Feb 17 2015, 2:42 PM

https://www.mediawiki.org/wiki/Outreachy/Round_10 exists. Later today I will update instructions in order to integrate better our Phabricator process. I will also add the projects listed as "Featured" at https://phabricator.wikimedia.org/project/board/1042/

Qgil added a comment.Feb 20 2015, 12:46 AM

The GSoC application has been submitted, but https://www.mediawiki.org/wiki/Google_Summer_of_Code_2015 still needs to created, and https://www.mediawiki.org/wiki/Outreach_programs/Possible_projects needs to be updated.

I'll do it tomorrow Friday.

Qgil added a subscriber: Nemo_bis.Feb 20 2015, 8:40 AM
In T921#1051919, @Qgil wrote:

The GSoC application has been submitted, but https://www.mediawiki.org/wiki/Google_Summer_of_Code_2015 still needs to created

@Nemo_bis was (a lot) faster. Thank you! I will fine tune it, and I will update Possible_Projects right now.

Qgil moved this task from Backlog to Organization on the Outreachy-Round-10 board.
Qgil lowered the priority of this task from High to Low.Feb 20 2015, 2:16 PM

https://www.mediawiki.org/wiki/Google_Summer_of_Code_2015 and https://www.mediawiki.org/wiki/Outreachy/Round_10 are in good shape now.

I will leave this task open until we know whether Wikimedia will participate in GSoC 2015 or not.

Qgil added a comment.Feb 25 2015, 2:19 PM

Accepted Orgs Announced On: March 02 at 19:00 UTC

Namit added a subscriber: Namit.Feb 26 2015, 3:50 PM
Qgil added a comment.Mar 2 2015, 6:58 PM

Scoop!

Congratulations!
Your Organization Application for Wikimedia Foundation to Google Summer of Code 2015 has been accepted...

Rits added a subscriber: Rits.Mar 2 2015, 7:19 PM
Mattflaschen-WMF closed this task as Resolved.Mar 3 2015, 12:08 AM
Qgil added a subscriber: gpaumier.Mar 3 2015, 8:39 AM

Reopening only because we are using Notice for the first time (hi @gpaumier), and I'm not sure how this works yet.

Also,

On Tue, Mar 3, 2015 at 5:12 AM, @Niharikakohli wrote:

Is a congratulatory mail to Wikitech-l/Wikimedia-l for GSoC selection in order?

Definitely! For GSoC and Outreachy, of course.

There are quite a few projects in the "Needs Discussion" and a couple in "Missing mentors" column on the workboard. How do we convince people to mentor for these? The Featured column barely hosts 7 projects yet.
Would it be appropriate to shoot a mail to the mailing list(s) asking for attention to some of these projects in need of discussion and/or mentors?

Please mention this in the same announcement. And let's continue discussing this "problem" in T91374: Select participants for GSoC 2015 and Outreachy round 10.

gpaumier moved this task from To Triage to Announce in next Tech/News on the User-notice board.
gpaumier moved this task from Backlog to Announce on wikitech-l on the Developer-notice board.
In T921#1081301, @Qgil wrote:

Reopening only because we are using Notice for the first time (hi @gpaumier), and I'm not sure how this works yet.

I'm not sure either, we're all figuring it out :)

I've triaged this Notice into User-notice and Developer-notice. Feel free to move it directly to the "Archive" column on the Developer-notice workboard once it's been announced on the list, since this doesn't need to be included in the release notes.

Qgil closed this task as Resolved.Mar 5 2015, 5:10 PM